#pragma once
#include "color.h"

class Move
{
public:
   explicit Move(int c, int r, Color co)
      : col(c), row(r), color(co) {}

   void print() const;

   int getRow() const { return row; }
   int getCol() const { return col; }
   Color getColor() const { return color; }

private:
   int col, row;
   Color color;
};
